package cn.com.qmth.examcloud.core.basic.base.constants;

/**
 * 文件存储相关常量
 */
public interface FileConstants {

    /**
     * 文件路径分隔符
     */
    String FILE_PATH_SEPARATOR = "/";

    /**
     * 顶级机构配置路径（按机构ID）
     * /org_properties/byOrgId/{rootOrgId}/{fileName}
     */
    String ORG_PROPERTIES_BY_ORG_ID = "/org_properties/byOrgId/%s/%s";

    /**
     * 顶级机构配置路径（按机构域名）
     * /org_properties/byOrgDomain/{rootOrgDomain}/{fileName}
     */
    String ORG_PROPERTIES_BY_ORG_DOMAIN = "/org_properties/byOrgDomain/%s/%s";

    /**
     * 顶级机构属性-登录规则配置路径
     */
    String ORG_PROPERTIES_LOGIN_RULES = "/org_properties/geetestConfig.json";

    /**
     * 顶级机构答题纸路径
     * /org_answers/${rootOrgId}/${timeMillis}${fileSuffix}
     */
    String ORG_ANSWER_TEMPLATE = "/org_answers/%s/%s%s";

    /**
     * 学校LOGO路径
     * /org_logo/{rootOrgId}/{timeMillis}{fileSuffix}
     */
    String ORG_LOGO = "/org_logo/%s/%s%s";

    /**
     * 考生端登录界面图片路径
     * /client_bg_picture/{rootOrgId}/{timeMillis}{fileSuffix}
     */
    String CLIENT_BG_PICTURE = "/client_bg_picture/%s/%s%s";

    /**
     * 软件黑名单配置路径
     */
    String OE_CLIENT_BLACK_LIST = "/oe_client/software.json";

    /**
     * 系统通知配置路径
     * /sys_notice/org_${rootOrgId_or_all}${fileSuffix}
     */
    String SYS_NOTICE = "/sys_notice/org_%s%s";

}
